Subject: Re: [apps-discuss] RFC 4627 and text vs values

From: Francis Galiegue <[email-masked]>
Date: Wed, 24 Oct 2012 00:51:14 +0200

On Thu, Sep 27, 2012 at 3:01 PM, Francis Galiegue <[email-masked]> wrote:
[...]
>
> That kind of begs the question: why wouldn't it be legal to produce
> JSON values other than arrays/objects? "Primitve" JSON values are
> potentially useful as well, I don't see the point of forbidding their
> production. This looks like limiting the expressiveness of JSON to me.
>

Ping on that one...

-- 
Francis Galiegue, [email-masked]
"It seems obvious [...] that at least some 'business intelligence'
tools invest so much intelligence on the business side that they have
nothing left for generating SQL queries" (Stéphane Faroult, in "The
Art of SQL", ISBN 0-596-00894-5)

---

From: Francis Galiegue <[email-masked]>
Date: Mon, 29 Oct 2012 21:20:27 +0100

>> production. This looks like limiting the expressiveness of JSON to me.

Ping again.

The more I think about it, the less the definition of a "JSON text" makes sense.

---

From: James M Snell <[email-masked]>
Date: Mon, 29 Oct 2012 16:38:27 -0700

FWIW, the ecmascript json support agrees with you... primitives can be
passed in with no problem. As for RFC4627 support for it, having a "JSON
document" that consists of a single primitive doesn't appear (to me) to be
overly useful.

- James

On Mon, Oct 29, 2012 at 1:20 PM, Francis Galiegue <[email-masked]>wrote:

> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>